<div class="main-content">
    <div class="login-bloc">
        <h2>authentification</h2>

        <div style="margin-top:40px;">
            <div>
                <mat-form-field class="long-matff" appearance="outline">
                    <mat-label>username</mat-label>
                    <input [(ngModel)]="request.Email" matInput placeholder="username">
                </mat-form-field>
            </div>

            <div>
                <mat-form-field class="long-matff" appearance="outline">
                    <mat-label>password</mat-label>
                    <input [(ngModel)]="request.Password" matInput type="password" placeholder="password">
                </mat-form-field>
            </div>

            <div
                style="display: flex; text-align: left;width: 80%;margin: 0 auto;margin-bottom: 30px;justify-content: space-between;">
                <div>
                    <mat-checkbox [(ngModel)]="request.RememberMe" class="example-margin">Garder ma session active
                    </mat-checkbox>
                </div>
                <div>
                    <a href="#">Mot de passe oublié ?</a>
                </div>
            </div>

            <hr />
            <div style="margin-top: 30px;">
                <button style="width: 60%;height:50px;" mat-flat-button color="primary"
                    (click)="onLogin()">Connexion</button>
            </div>

            <div *ngIf="loading">
                <img src="../../../assets/loading.gif" alt="loader" height="80px" width="80px" />
            </div>
            <br>
            <div *ngIf="messageApi">
                <p style="color:red;">{{ messageApi }}</p>
            </div>

        </div>
    </div>
</div>